# $Id: perl-DBI.spec 8822 2010-05-26 06:45:00Z cmr $
# Authority: dag
# Upstream: Tim Bunce <Tim,Bunce$pobox,com>
# Upstream: Tim Bunce <dbi-users$perl,org>

%define __perl /usr/local/bin/perl
%define _prefix /usr/local

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)
%define perl_man1dir %(eval "`%{__perl} -V:installvendorman1dir`"; echo $installvendorman1dir)
%define perl_man3dir %(eval "`%{__perl} -V:installvendorman3dir`"; echo $installvendorman3dir)
%define perl_bindir %(eval "`%{__perl} -V:installvendorbin`"; echo $installvendorbin)

%define real_name DBI

Summary: Database independent interface for Perl
Name: upenn-perl-DBI
Version: 1.611_90
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/DBI/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://search.cpan.org/CPAN/authors/id/T/TI/TIMB/DBI-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: upenn-perl
#BuildRequires: upenn-perl(File::Spec)
#BuildRequires: upenn-perl(Scalar::Util)
#BuildRequires: upenn-perl(Storable) >= 1
#BuildRequires: perl(Test::Simple) >= 0.84
#BuildRequires: upenn-perl(Test::Simple) 
Requires: upenn-perl
#Requires: upenn-perl(File::Spec)
#Requires: upenn-perl(Scalar::Util)
#Requires: upenn-perl(Storable) >= 1
#Requires: perl(Test::Simple) >= 0.84
#Requires: upenn-perl(Test::Simple)

%filter_from_requires /^perl*/d
%filter_setup


%description
perl-DBI is a Perl module that implements a database independent interface.

%prep
%setup -n %{real_name}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"
#%{__make} test

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README Roadmap.pod TODO_2005.txt
%doc %{perl_man1dir}/dbilogstrip.1*
%doc %{perl_man1dir}/dbiprof.1*
%doc %{perl_man1dir}/dbiproxy.1*
%doc %{perl_man3dir}/Bundle::DBI.3pm*
%doc %{perl_man3dir}/DBD::*.3pm*
%doc %{perl_man3dir}/DBI.3pm*
%doc %{perl_man3dir}/DBI::*.3pm*
%doc %{perl_man3dir}/Roadmap.3pm*
%doc %{perl_man3dir}/TASKS.3pm*
%doc %{perl_man3dir}/Win32::DBIODBC.3pm*
%{perl_bindir}/dbilogstrip
%{perl_bindir}/dbiprof
%{perl_bindir}/dbiproxy
%{perl_vendorarch}/auto/DBI/
%dir %{perl_vendorarch}/Bundle/
%{perl_vendorarch}/Bundle/DBI.pm
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/DBI/
%{perl_vendorarch}/DBI.pm
%{perl_vendorarch}/Roadmap.pod
%{perl_vendorarch}/TASKS.pod
%dir %{perl_vendorarch}/Win32/
%{perl_vendorarch}/Win32/DBIODBC.pm
%{perl_vendorarch}/dbixs_rev.pl
#%{perl_vendorarch}/goferperf.pl

### Remove this file because it generates an rpm dependency for Win32::ODBC
%exclude %{perl_vendorarch}/DBI/W32ODBC.pm

%changelog
* Wed May 26 2010 Christoph Maser <cmaser@gmx.de> - 1.611-1 - 8822/cmr
- Updated to version 1.611.

* Tue Jul  7 2009 Christoph Maser <cmr@financial.com> - 1.609-1
- Updated to version 1.609.

* Thu May 28 2009 Christoph Maser <cmr@financial.com> - 1.608-1
- Updated to release 1.608.

* Tue Oct 07 2008 Dag Wieers <dag@wieers.com> - 1.607-1
- Updated to release 1.607.

* Sun Jun 22 2008 Dag Wieers <dag@wieers.com> - 1.605-1
- Updated to release 1.605.

* Sat May 03 2008 Dag Wieers <dag@wieers.com> - 1.604-1
- Updated to release 1.604.

* Mon Feb 18 2008 Dag Wieers <dag@wieers.com> - 1.602-1
- Updated to release 1.602.

* Sun Nov 18 2007 Dag Wieers <dag@wieers.com> - 1.601-1
- Updated to release 1.601.

* Sat Aug 04 2007 Dag Wieers <dag@wieers.com> - 1.58-2
- Remove dependency on perl(Win32::ODBC). (Mark D. Nagel)

* Sat Aug 04 2007 Dag Wieers <dag@wieers.com> - 1.58-1
- Initial package. (using DAR)
